<style>
        [type="radio"]:checked,
    [type="radio"]:not(:checked) {
        position: absolute;
        left: -9999px;
    }
    [type="radio"]:checked + label,
    [type="radio"]:not(:checked) + label
    {
        position: relative;
        padding-left: 28px;
        cursor: pointer;
        line-height: 20px;
        display: inline-block;
        color: #666;
    }
    [type="radio"]:checked + label:before,
    [type="radio"]:not(:checked) + label:before {
        content: '';
        position: absolute;
        left: 0;
        top: 0;
        width: 18px;
        height: 18px;
        border: 1px solid #ddd;
        border-radius: 100%;
        background: #fff;
    }
    [type="radio"]:checked + label:after,
    [type="radio"]:not(:checked) + label:after {
        content: '';
        width: 12px;
        height: 12px;
        background: #F87DA9;
        position: absolute;
        top: 3px;
        left: 3px;
        border-radius: 100%;
        -webkit-transition: all 0.2s ease;
        transition: all 0.2s ease;
    }
    [type="radio"]:not(:checked) + label:after {
        opacity: 0;
        -webkit-transform: scale(0);
        transform: scale(0);
    }
    [type="radio"]:checked + label:after {
        opacity: 1;
        -webkit-transform: scale(1);
        transform: scale(1);
    }
</style>
<div class="breadcrumb-container">
    <ol class="breadcrumb">
        <li><a data-ui-sref="/dashboard">{{"COMMON.HOME" | translate}}</a></li>
        <li><a data-ui-sref="BlogList">Blog</a></li>
        <li class="active">{{vm.isNewRecord?'New Blog':'Update '+vm.record.name}}</li>
    </ol>
</div>
<div class="panel panel-primary edit-page-form">
    <div class="panel-heading">
        <h3 class="panel-title">Blog {{vm.isNewRecord?'New':'Edit'}}</h3>
    </div>
    <div class="panel-body">
        <form name="recordForm" novalidate="novalidate">
            <h3 class="form-sub-title">{{"EDIT.BASIC_INFO" | translate}}</h3>
            <hr class="margin-bottom-40">
            <div class="row" data-ng-if="vm.authRepository.isAccessible('BlogEditFields')" data-ng-disabled="vm.authRepository.isDisabled('BlogEditFields')">
                <div class="col-md-6">
                    <div class="form-group row" data-ng-class="{'has-error':recordForm.Title.$error.required && vm.onClickValidation}">
                        <label class="control-label col-md-3">
                            {{"Blog.title" | translate}}
                        </label>
                        <div class="col-md-9">
                            <input class="form-control" max="255" min="0" type="text" name="Title" required="required" data-ng-model="vm.record.title">
                        </div>
                    </div>
                </div>
                <div class="col-md-6">
                    <div class="form-group row" data-ng-class="{'has-error':recordForm.Description.$error.required && vm.onClickValidation}">
                        <label class="control-label col-md-3">
                            {{"Blog.description" | translate}}
                        </label>
                        <div class="col-md-9">
                            <textarea class="form-control" rows="10" name="Description" data-ng-model="vm.record.description"></textarea>
                        </div>
                    </div>
                </div>
                <div class="clearfix"></div>
                <div class="col-md-6">
                    <div class="form-group row" data-ng-class="{'has-error':recordForm.CategoryId.$error.required && vm.onClickValidation}">
                        <label class="control-label col-md-3">
                            Category
                        </label>
                        <div class="col-md-9">
                            <div class="input-group">
                                <select class="form-control select-2 categoryId" name="CategoryId" data-ng-model="vm.record.categoryId">
                                    <option value="">Select Value</option>
                                    <option value="{{category.id}}" data-ng-repeat="category in vm.categoryList">
                                        {{category.name}}
                                    </option>
                                </select>
                                <span class="input-group-btn">
                                    <button type="button" class="btn btn-primary" style="height:40px;" data-ng-click="vm.loadAssociatedPopup('CategoryIdPopUp','CategoryId')"><i class="glyphicon glyphicon-plus"></i></button>
                                </span>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="col-md-6">
                    <label class="control-label no-padding col-md-3">
                        Select Type
                    </label>
                    <div class="col-md-9 d-flex">
                        <div class="no-margin">
                            <input type="radio" id="image" value="image" data-ng-model="vm.mediaType" name="mediaType" data-ng-click="vm.getMediaType(vm.mediaType)">
                            <label for="image">Image</label>
                        </div>
                        <div class="margin-left-10">
                            <input type="radio" id="video" value="video" data-ng-model="vm.mediaType" name="mediaType" data-ng-click="vm.getMediaType(vm.mediaType)">
                            <label for="video">Video</label>
                        </div>
                    </div>
                </div>

                <div class="clearfix"></div>
                <div class="col-md-6">
                    <div class="col-md-6">
                        <div class="form-group row" data-ng-class="{'has-error':recordForm.IsActive.$error.required && vm.onClickValidation}">
                            <label class="control-label no-padding col-md-6">
                                Is Active
                            </label>
                            <div class="col-md-6">
                                <div class="material-switch">
                                    <input id="someSwitchisactive" name="someSwitchOptionisactive" type="checkbox" data-ng-model="vm.record.isActive" />
                                    <label for="someSwitchisactive" class="label-primary"></label>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="col-md-6">
                        <div class="form-group row" data-ng-class="{'has-error':recordForm.HomeActive.$error.required && vm.onClickValidation}">
                            <label class="control-label no-padding col-md-6">
                                Show On Homepage
                            </label>
                            <div class="col-md-6">
                                <div class="material-switch">
                                    <input id="someSwitchhomeActive" name="someSwitchOptionhomeActive" type="checkbox" data-ng-model="vm.record.showOnHomePage" />
                                    <label for="someSwitchhomeActive" class="label-primary"></label>
                                </div>
                            </div>
                        </div>
                    </div>
                    <!--<div class="col-md-6">
                        <div class="form-group row">
                            <label class="control-label col-md-9">
                                Show On Homepage
                            </label>
                            <div class="col-md-3">
                                <input type="checkbox" data-ng-model="vm.record.showOnHomePage" id="homeActive" name="HomeActive"/>
                                </div>
                            </div>
                        </div>-->
                    </div>
                </div>
                <!-- file upload-->
                <div class="col-md-6 form-group" data-ng-if="vm.type == 'image'">
                    <label class="control-label text-right col-md-3">
                        Featured Image
                    </label>
                    <div class="col-md-9">
                        <div class="col-sm-5 col-xs-12" data-ng-if="!vm.record.file.path">
                            <a class="upload-doc-box" data-ng-click="vm.uploadFile(record)">
                                <span class="fa fa-upload"></span>
                            </a>
                            <input class="form-control hide" id="fileUpload" type="file" nv-file-select="" uploader="vm.file_uploader" accept="image/gif, image/jpeg, image/png, image/jpg" />
                        </div>
                        <div data-ng-if="vm.record.file.path" class="form-group col-sm-7 col-xs-12">
                            <img class="img-responsive custom-image-zoom-over" ng-src={{vm.record.file.path}} />
                            <i class="upload-doc-delete fa fa-close cross-position" data-ng-click="vm.removeBlogImage(vm.record.file.path, vm.record.file.id)"></i>
                        </div>
                    </div>  
                </div>
                <!-- Video link-->
                <div class="col-md-6" data-ng-if="vm.type == 'video'">
                    <div class="form-group">
                        <label class="control-label no-padding col-md-3">
                            Video Link
                        </label>
                        <div class="col-md-9">
                            <input class="form-control" type="url" name="videoLink" data-ng-model="vm.record.videoPath">
                            <span class="error" data-ng-if="recordForm.videoLink.$error.url"> Invalid Url</span>
                        </div>
                    </div>
                </div>


                <div class="clearfix"></div>
            </div>
        </form>
    </div>
    <div class="panel-footer text-right">
        <button title="Save" class="btn btn-primary site-button" type="button" data-ng-click="vm.save(recordForm.$valid)">
            {{"COMMON.SAVE" | translate}}
        </button>
        <a title="Cancel" class="btn btn-default site-cancel-button" type="button" data-ng-if="vm.authRepository.isAccessible('BlogCancelButton')" data-ng-disabled="vm.authRepository.isDisabled('BlogCancelButton')" data-ui-sref="BlogList">
            {{"COMMON.CANCEL" | translate}}
        </a>
    </div>
</div>
<div class="modal fade" id="CategoryIdPopUp" role="dialog">
    <div class="modal-dialog modal-lg">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal">&times;</button>
                <h4 class="modal-title margin-bottom-15">Category Advance Information</h4>
                <input type="text" class="form-control margin-bottom-15 search-text-box" data-ng-model="vm.searchText">
            </div>
            <div class="modal-body">
                <div class="text-right col-md-12 no-padding">
                    <button class="btn btn-primary btn-xs margin-bottom-10" data-ng-if="vm.authRepository.isAccessible('BlogAddButton')" data-ng-disabled="vm.authRepository.isDisabled('BlogAddButton')" data-ng-click="vm.showAddForm=true">
                        {{"EDIT.ADD_NEW_RECORD" | translate}}
                    </button>
                </div>
                <div class="associated-table" data-ng-if="vm.showAddForm">
                    <div class="form-item col-md-6 no-padding-left" data-ng-if="vm.authRepository.isAccessible('BlogEditFields')" data-ng-disabled="vm.authRepository.isDisabled('BlogEditFields')">
                        <h5>Name</h5>
                        <input class="form-control" type="text"
                               name="Name"
                               required="required"
                               data-ng-model="vm.associated.name">
                    </div>

                    <div class="form-item margin-top-10 text-right margin-bottom-20">
                        <a class="btn btn-primary"
                           data-ng-click="vm.onSaveAssociated('CategoryId')">
                            {{"COMMON.SAVE" | translate}}
                        </a>
                    </div>
                </div>
                <table class="table table-bordered table-striped associated-table">
                    <thead>
                        <tr>
                            <th class="capitalize">Name</th>
                            <th class="capitalize">CreatedOn</th>

                            <th width="140"></th>
                        </tr>
                    </thead>
                    <tbody>
                        <tr data-ng-repeat="aRecord in vm.categoryList|filter:vm.searchText">
                            <td>{{aRecord.name|limitTo:150}}</td>
                            <td>{{aRecord.createdOn|date:'MM/dd/yyyy hh:mm'}}</td>

                            <td class="text-center">
                                <a class="btn btn-primary btn-xs" data-ng-if="vm.authRepository.isAccessible('BlogSelectButton')" data-ng-disabled="vm.authRepository.isDisabled('BlogSelectButton')"
                                   data-ng-click="vm.onSelectAssociated(aRecord.id,'categoryId','CategoryIdPopUp')">
                                    {{"COMMON.SELECT" | translate}}
                                </a>
                                <a class="btn btn-danger btn-xs" data-ng-if="vm.authRepository.isAccessible('BlogDeleteButton')" data-ng-disabled="vm.authRepository.isDisabled('BlogDeleteButton')"
                                   data-ng-click="vm.onRemoveAssociated(aRecord.id,'CategoryId')">
                                    {{"COMMON.DELETE" | translate}}
                                </a>
                            </td>
                        </tr>
                    </tbody>
                </table>
            </div>
        </div>
    </div>
</div>
